# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html"
payload = [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_code: 'en_US', location_code: 2840, asin: 'B085RFFC9Q'}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en_US',
'location_code' => 2840,
'asin' => 'B085RFFC9Q'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html"
payload := strings.NewReader("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B085RFFC9Q\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B085RFFC9Q\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B085RFFC9Q\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"asin": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"datetime": "<string>",
"items_count": 123,
"items": [
{
"page": 123,
"date": "<string>",
"html": "<string>"
}
]
}
]
}
]
}Live Merchant Amazon Sellers Html
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html"
payload = [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_code: 'en_US', location_code: 2840, asin: 'B085RFFC9Q'}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en_US',
'location_code' => 2840,
'asin' => 'B085RFFC9Q'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html"
payload := strings.NewReader("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B085RFFC9Q\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B085RFFC9Q\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B085RFFC9Q\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"asin": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"datetime": "<string>",
"items_count": 123,
"items": [
{
"page": 123,
"date": "<string>",
"html": "<string>"
}
]
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/merchant/amazon/sellers/live/html
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/sellers/live/html
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_merchant_amazon_a72be2",
"method": "POST",
"path": "/apis/v1/dataforseo/merchant/amazon/sellers/live/html",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"type": [
"object",
"null"
],
"oneOf": [
{
"type": "object",
"properties": {
"asin": {
"type": "string",
"description": "<em>unique product identifier on Amazon</em><br><strong>required field</strong><br>you can get this value making a separate request to <a href=\"/v3/merchant/amazon/products/task_post\">the Amazon Products endpoint</a><br>note that there is no full list of possible values as the <code>asin</code> values is a dynamic value assigned by Amazon<br>example:<br><code>B085RFFC9Q</code><br>learn more about the identifier in <a href=\"https://dataforseo.com/help-center/asin-in-amazon-api\" rel=\"noopener noreferrer\" target=\"_blank\">this help center guide</a>"
},
"location_name": {
"type": "string",
"description": "<em>full name of the location</em><br><strong>required field if you don't specify</strong> <code>location_code</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_code</code> or <code>location_coordinate</code></strong><br>you can receive the list of available Amazon locations with their <code>location_name</code> by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/locations</code><br>example:<br><code class=\"long-string\">London,England,United Kingdom</code>"
},
"location_code": {
"type": "integer",
"description": "<em>location code</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_coordinate</code></strong><br>you can receive the list of available Amazon locations with their <code>location_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/locations</code><br>example:<br><code class=\"long-string\">2840</code>"
},
"location_coordinate": {
"type": "string",
"description": "<em>GPS coordinates of a location</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_code</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_code</code></strong><br><code>location_coordinate</code> parameter should be specified in the <em>\"latitude,longitude,radius\"</em> format<br>the maximum number of decimal digits for <em>\"latitude\"</em> and <em>\"longitude\"</em>: 7<br>the minimum value for <em>\"radius\"</em>: 199.9<br>example:<br><code class=\"long-string\">53.476225,-2.243572,200</code>"
},
"language_name": {
"type": "string",
"description": "<em>full name of the language</em><br><strong>required field if you don't specify</strong> <code>language_code</code><br><strong>if you use this field, you don't need to specify <code>language_code</code></strong><br>you can receive the list of available Amazon languages with their <code>language_name</code> by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/languages</code><br>example:<br><code class=\"long-string\">English (United States)</code>"
},
"language_code": {
"type": "string",
"description": "<em>language code</em><br><strong>required field if you don't specify</strong> <code>language_name</code><br><strong>if you use this field, you don't need to specify <code>language_name</code></strong><br>you can receive the list of available Amazon languages with their <code>language_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/languages</code><em><br></em>example:<em><br></em><code class=\"long-string\">en_US</code>"
},
"se_domain": {
"type": [
"string",
"null"
],
"description": "<em>search engine domain</em><br>optional field<br>we choose the relevant search engine domain automatically according to the location and language you specify<br>however, you can set a custom search engine domain in this field<br>example:<br><em><code>amazon.co.uk</code></em>, <em><code>amazon.com.au</code></em>, <em><code>amazon.de</code></em>, etc."
},
"tag": {
"type": [
"string",
"null"
],
"description": "<em>user-defined task identifier</em><br>optional field<br><em>the character limit is 255</em><br>you can use this parameter to identify the task and match it with the result<br>you will find the specified <code>tag</code> value in the <code>data</code> object of the response"
}
},
"example": [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
}
]
},
"example": [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
}
}
}
},
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.012,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.012 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.012
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
unique product identifier on Amazon
required field
you can get this value making a separate request to the Amazon Products endpoint
note that there is no full list of possible values as the asin values is a dynamic value assigned by Amazon
example:B085RFFC9Q
learn more about the identifier in this help center guide
full name of the location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available Amazon locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations
example:London,England,United Kingdom
location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available Amazon locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations
example:2840
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the minimum value for "radius": 199.9
example:53.476225,-2.243572,200
full name of the language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available Amazon languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages
example:English (United States)
language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available Amazon languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages
example:en_US
search engine domain
optional field
we choose the relevant search engine domain automatically according to the location and language you specify
however, you can set a custom search engine domain in this field
example:amazon.co.uk, amazon.com.au, amazon.de, etc.
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B085RFFC9Q"
}
]
Response
Successful operation
the current version of the API
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
total tasks cost, USD
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
array of tasks
Show child attributes
Show child attributes